<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>

        <IsPackable>false</IsPackable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Bogus" Version="34.0.2" />
        <PackageReference Include="FluentAssertions" Version="6.11.0" />
        <PackageReference Include="Microsoft.AspNetCore.TestHost" Version="6.0.16" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="6.0.16" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="6.0.16" />
        <PackageReference Include="Microsoft.Extensions.Hosting" Version="6.0.0" />
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.1.0" />
        <PackageReference Include="Moq" Version="4.18.4" />
        <PackageReference Include="NUnit" Version="3.13.3" />
        <PackageReference Include="NUnit3TestAdapter" Version="4.2.1" />
        <PackageReference Include="NUnit.Analyzers" Version="3.3.0" />
        <PackageReference Include="coverlet.collector" Version="3.1.2" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\..\src\TestYourSkills.Core\TestYourSkills.Core.csproj" />
      <ProjectReference Include="..\..\src\TestYourSkills.Data\TestYourSkills.Data.csproj" />
      <ProjectReference Include="..\..\src\TestYourSkills.Web\TestYourSkills.Web.csproj" />
    </ItemGroup>

    <ItemGroup>
      <None Update="appsettings.json">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </None>
    </ItemGroup>

</Project>
